Bug 819075 - OSError: [Errno 16] Device or resource busy: '/tmp/vg-lv_root.ext4907GBG'
OSError: [Errno 16] Device or resource busy: '/tmp/vg-lv_root.ext4907GBG'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:afc8de5ca9ddaa802626a4211cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 14:50 EDT by Kamil Páral
Modified: 2012-07-18 13:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 13:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-BGR3E1 (601.58 KB, text/plain)
2012-05-04 14:50 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-05-04 14:50:49 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/loop3 --lang en_US.UTF-8
executable:     /sbin/anaconda
exnFileName:    /tmp/anaconda-tb-BGR3E1
hashmarkername: anaconda
kernel:         3.3.4-1.fc17.i686
other involved packages: 
product:        Fedora
release:        Fedora release 17 (Beefy Miracle)
time:           Fri 04 May 2012 02:50:13 PM EDT
version:        17

anaconda-tb-BGR3E1: Text file, 616021 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.23 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 597, in testMount
:    os.rmdir(mountpoint)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/livecd.py", line 205, in _doFilesystemMangling
:    rootDevice.format.testMount()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/livecd.py", line 311, in doPostInstall
:    self._doFilesystemMangling(anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/backend.py", line 202, in doPostInstall
:    anaconda.backend.doPostInstall(anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
:    self.dispatch()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
:    self.anaconda.dispatch.go_forward()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/progress_gui.py", line 79, in renderCallback
:    self.intf.icw.nextClicked()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1221, in handleRenderCallback
:    self.currentWindow.renderCallback()
:OSError: [Errno 16] Device or resource busy: '/tmp/vg-lv_root.ext4907GBG'

environ:
:LC_NUMERIC=C
:LIBUSER_CONF=/tmp/libuser.2QSqaK
:LVM_SUPPRESS_FD_WARNINGS=1
:LOGNAME=root
:USER=root
:GCONF_GLOBAL_LOCKS=1
:PATH=/sbin:/usr/sbin:/usr/sbin:/usr/bin:/sbin:/bin:/root/bin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:0.0
:ANACONDA_PRODUCTNAME=Fedora
:LANG=en_US.UTF-8
:TERM=dumb
:SHELL=/bin/bash
:TZ=America/New_York
:XAUTHORITY=/root/.xautht1DRU9
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=1
:GNOME_DISABLE_CRASH_DIALOG=1
:ANACONDA_PRODUCTVERSION=17
:ANACONDA_BUGURL=https://bugzilla.redhat.com/bugzilla/
:USERHELPER_UID=1000
:ANACONDA_ISFINAL=false
:_=/sbin/anaconda
:PWD=/home/liveuser
:DESKTOP_STARTUP_ID=userhelper/Starting Install to Hard Drive/1189-0-localhost.localdomain_TIME0
Comment 1 Kamil Páral 2012-05-04 14:50:59 EDT
Created attachment 582187 [details]
File: anaconda-tb-BGR3E1
Comment 2 Kamil Páral 2012-05-04 14:52:39 EDT
I was doing a default XFCE install in a VM.
Comment 3 Kamil Páral 2012-05-04 15:11:11 EDT
Can't reproduce, second install went fine.
Comment 4 Jesse Keating 2012-07-18 13:23:16 EDT
If we can't reproduce, we can't fix :/

Note You need to log in before you can comment on or make changes to this bug.